#ifndef _PROTODE_PARAMS_H_
#define _PROTODE_PARAMS_H_

#define _PROTODE_PROGRAM_NAME             NULL
#define _PROTODE_INPUT_FILE_NAMES         NULL
#define _PROTODE_OUTPUT_FILE_NAME         NULL
#define _PROTODE_PROTOCOL_SIGNALS         NULL
#define _PROTODE_PROTOCOLS_EXTRACT        NULL
#define _PROTODE_PROTOCOLS_OPTIMISE_A     NULL
#define _PROTODE_PROTOCOLS_OPTIMISE_AB    NULL
#define _PROTODE_PROTOCOLS_OPTIMISE_ABC   NULL
#define _PROTODE_PROTOCOLS_WRITE          NULL
#define _PROTODE_IMPLICIT_PLACES          0

extern char* _protode_program_name;
extern char* _protode_input_file_names;
extern char* _protode_output_file_name;
extern char* _protode_protocol_signals;
extern char* _protode_protocols_extract;
extern char* _protode_protocols_optimise_a;
extern char* _protode_protocols_optimise_ab;
extern char* _protode_protocols_optimise_abc;
extern char* _protode_protocols_write;
extern int _protode_implicit_places;

extern bool protode_process_params(int argv, char** argc);
extern void protode_clear_params();
extern void protode_correct_params();

#endif

