#include "stg_object.h"
#include "stg_signal.h"

//---------------------------------------------------------------------------
Signal::Signal(const char* _name, Signal::Type _type, Signal::State _state, Tag _tag, void* _data)
: Object(_name, _tag, _data), type(_type), state(_state)
{
}

//---------------------------------------------------------------------------
Signal::Signal(const Signal& signal) 
: Object(signal), type(signal.type), state(signal.state)
{
}

//---------------------------------------------------------------------------
Signal::~Signal()
{
}
